Package org.apache.tools.zip

# Interface UnixStat

All Known Implementing Classes:
  `AsiExtraField`

    public interface UnixStat

Constants from stat.h on Unix systems.

## Field Summary

Fields
Modifier and Type | Field | Description
--- | --- | ---
`static int` | `DEFAULT_DIR_PERM` | Default permissions for directories.
`static int` | `DEFAULT_FILE_PERM` | Default permissions for plain files.
`static int` | `DEFAULT_LINK_PERM` | Default permissions for symbolic links.
`static int` | `DIR_FLAG` | Indicates directories.
`static int` | `FILE_FLAG` | Indicates plain files.
`static int` | `LINK_FLAG` | Indicates symbolic links.
`static int` | `PERM_MASK` | Bits used for permissions (and sticky bit)

## Field Details

### PERM_MASK

static final int PERM_MASK
Bits used for permissions (and sticky bit)

Since:
  1.1
See Also:
  Constant Field Values

### LINK_FLAG

static final int LINK_FLAG
Indicates symbolic links.

Since:
  1.1
See Also:
  Constant Field Values

### FILE_FLAG

static final int FILE_FLAG
Indicates plain files.

Since:
  1.1
See Also:
  Constant Field Values

### DIR_FLAG

static final int DIR_FLAG
Indicates directories.

Since:
  1.1
See Also:
  Constant Field Values

### DEFAULT_LINK_PERM

static final int DEFAULT_LINK_PERM
Default permissions for symbolic links.

Since:
  1.1
See Also:
  Constant Field Values

### DEFAULT_DIR_PERM

static final int DEFAULT_DIR_PERM
Default permissions for directories.

Since:
  1.1
See Also:
  Constant Field Values

### DEFAULT_FILE_PERM

static final int DEFAULT_FILE_PERM
Default permissions for plain files.

Since:
  1.1
See Also:
  Constant Field Values